Subject: bug#71732: 30.0.50; [FR] xdg: provide an ability to create XDG directory, if it does not exist

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Jun 2024 14:29:19 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 23 Jun 2024 10:35:59 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Emacs applications are not obliged to abide by what the XDG spec (or
> > any spec) says.  Whether a directory we create under some XDG
> > directory should or should not have those permissions is something the
> > author of the Lisp program should consider and decide.
> 
> Let me clarify: I did not mean creating a directory _under_ XDG
> directory. I meant creating XDG directory itself - it is regulated by
> XDG spec.

Yes, I understood, and my response includes that part as well.